summaryrefslogtreecommitdiff
path: root/tests/show-dependencies.script
diff options
context:
space:
mode:
authorJannis Pohlmann <jannis.pohlmann@codethink.co.uk>2012-01-12 14:30:38 +0000
committerJannis Pohlmann <jannis.pohlmann@codethink.co.uk>2012-01-16 11:34:39 +0000
commit0f14928fb700d14ed1ebb8675c26b263bf2bc58c (patch)
tree87ffb529e00cc58565235425a2aae7c3880f2a74 /tests/show-dependencies.script
parent41ee528492db9bd41604311b100da5a871098b3a (diff)
downloadmorph-0f14928fb700d14ed1ebb8675c26b263bf2bc58c.tar.gz
Introduce the "show-dependencies" command and BuildDependencyGraph.
The "show-dependencies" command takes a series of build tuples and dumps the resulting dependency graph (including strata and chunks at the moment) to the standard output. It also dumps the resulting build order which is a list of groups. These groups indicate which chunks and strata can be built in parallel and are not dependent on each other.
Diffstat (limited to 'tests/show-dependencies.script')
-rwxr-xr-xtests/show-dependencies.script33
1 files changed, 33 insertions, 0 deletions
diff --git a/tests/show-dependencies.script b/tests/show-dependencies.script
new file mode 100755
index 00000000..da651379
--- /dev/null
+++ b/tests/show-dependencies.script
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# Test a basic distributed build of two depending strata
+# with a couple of chunks in them.
+#
+# Copyright (C) 2012 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -e
+
+cache="$DATADIR/show-dependencies-cache"
+log="$DATADIR/show-dependencies-morph.log"
+
+./morph show-dependencies \
+ test-repo master xfce-core.morph \
+ --no-default-configs \
+ --git-base-url="file://$DATADIR" \
+ --cachedir="$cache" \
+ --keep-path \
+ --no-distcc \
+ --log="$log"